**Source URL:** https://limited.veevavault.dev/clinical/vault-api/api-reference/22.3/workflows/workflow-tasks/initiate-workflow-task-action.md

# Initiate Workflow Task Action



Initiate a workflow task action. Note that the API does not support initiating task actions requiring eSignatures (where `esignature` is `true`).

<Endpoint path="/api/{version}/objects/objectworkflows/tasks/{task_id}/actions/{task_action}" method="POST"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `application/json` or `application/x-www-form-urlencoded` |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{task_id}` | The task `id` field value. |
| `{task_action}` | The name of the task action retrieved from [Retrieve Workflow Task Actions](/vault-api/api-reference/22.3/workflows/workflow-tasks/retrieve-workflow-task-actions). |
</FieldTable>

## Body Parameters {#body-parameters}

Required parameters depend on the action being initiated. Controls marked as `required` in the [Retrieve Workflow Task Action Details](/vault-api/api-reference/22.3/workflows/workflow-tasks/retrieve-workflow-task-action-details) response must be provided. If a control (such as `verdict`) defines a set of required fields, those must also be provided.

For example, the following request parameters may apply to the `complete` action:

<FieldTable>
| Name | Description |
| --- | --- |
| `verdict` | The verdict name returned in [Retrieve Workflow Task Action Details](/vault-api/api-reference/22.3/workflows/workflow-tasks/retrieve-workflow-task-action-details). |
| `reason` | The reason name returned in [Retrieve Workflow Task Action Details](/vault-api/api-reference/22.3/workflows/workflow-tasks/retrieve-workflow-task-action-details). |
| `capacity` | The capacity name returned in [Retrieve Workflow Task Action Details](/vault-api/api-reference/22.3/workflows/workflow-tasks/retrieve-workflow-task-action-details). |
</FieldTable>
The `cancel` action doesn't require any parameters.

For workflows where `type` is set to `multidocworkflow` and `cardinality` is set to `One`, Vault pre-populates document field values in field prompts. If you include keys for field prompts without values, Vault submits a blank field value on the document.

## Request {#request}

<CodeExample title="">
```
curl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-H "Accept: application/json" \
--data-urlencode "verdict_public_key__c=verdict_impact_assessment_complete__c" \
--data-urlencode "capacity__c=capacity_0_0__c" \
--data-urlencode "reason__c=reason_0_0__c" \
https://myvault.veevavault.com/api/v21.1/objects/objectworkflows/tasks/502/actions/complete

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS"
}

```
</CodeExample>

---

**Previous:** [Retrieve Workflow Task Action Details](/clinical/vault-api/api-reference/22.3/workflows/workflow-tasks/retrieve-workflow-task-action-details)  
**Next:** [Bulk Active Workflow Actions](/clinical/vault-api/api-reference/22.3/workflows/bulk-active-workflow-actions)